<?php require_once('../Connections/poblets.php'); ?>
<?php
//initialize the session
if (!isset($_SESSION)) {
  session_start();
}

// ** Logout the current user. **
$logoutAction = $_SERVER['PHP_SELF']."?doLogout=true";
if ((isset($_SERVER['QUERY_STRING'])) && ($_SERVER['QUERY_STRING'] != "")){
  $logoutAction .="&". htmlentities($_SERVER['QUERY_STRING']);
}

if ((isset($_GET['doLogout'])) &&($_GET['doLogout']=="true")){
  //to fully log out a visitor we need to clear the session varialbles
  $_SESSION['MM_Username'] = NULL;
  $_SESSION['MM_UserGroup'] = NULL;
  $_SESSION['PrevUrl'] = NULL;
  unset($_SESSION['MM_Username']);
  unset($_SESSION['MM_UserGroup']);
  unset($_SESSION['PrevUrl']);
	
  $logoutGoTo = "../index.php";
  if ($logoutGoTo) {
    header("Location: $logoutGoTo");
    exit;
  }
}
?>
<?php
if (!isset($_SESSION)) {
  session_start();
}
$MM_authorizedUsers = "Administrador,SuperAdministrador";
$MM_donotCheckaccess = "false";

// *** Restrict Access To Page: Grant or deny access to this page
function isAuthorized($strUsers, $strGroups, $UserName, $UserGroup) { 
  // For security, start by assuming the visitor is NOT authorized. 
  $isValid = False; 

  // When a visitor has logged into this site, the Session variable MM_Username set equal to their username. 
  // Therefore, we know that a user is NOT logged in if that Session variable is blank. 
  if (!empty($UserName)) { 
    // Besides being logged in, you may restrict access to only certain users based on an ID established when they login. 
    // Parse the strings into arrays. 
    $arrUsers = Explode(",", $strUsers); 
    $arrGroups = Explode(",", $strGroups); 
    if (in_array($UserName, $arrUsers)) { 
      $isValid = true; 
    } 
    // Or, you may restrict access to only certain users based on their username. 
    if (in_array($UserGroup, $arrGroups)) { 
      $isValid = true; 
    } 
    if (($strUsers == "") && false) { 
      $isValid = true; 
    } 
  } 
  return $isValid; 
}

$MM_restrictGoTo = "n_noticia.php";
if (!((isset($_SESSION['MM_Username'])) && (isAuthorized("",$MM_authorizedUsers, $_SESSION['MM_Username'], $_SESSION['MM_UserGroup'])))) {   
  $MM_qsChar = "?";
  $MM_referrer = $_SERVER['PHP_SELF'];
  if (strpos($MM_restrictGoTo, "?")) $MM_qsChar = "&";
  if (isset($QUERY_STRING) && strlen($QUERY_STRING) > 0) 
  $MM_referrer .= "?" . $QUERY_STRING;
  $MM_restrictGoTo = $MM_restrictGoTo. $MM_qsChar . "accesscheck=" . urlencode($MM_referrer);
  header("Location: ". $MM_restrictGoTo); 
  exit;
}
?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? "'" . doubleval($theValue) . "'" : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$editFormAction = $_SERVER['PHP_SELF'];
if (isset($_SERVER['QUERY_STRING'])) {
  $editFormAction .= "?" . htmlentities($_SERVER['QUERY_STRING']);
}

if ((isset($_POST["MM_update"])) && ($_POST["MM_update"] == "form_editnoticia")) {
  $updateSQL = sprintf("UPDATE noticias SET Titulo=%s, Autor=%s, Fecha=%s, Resumen=%s, Noticia=%s WHERE Id=%s",
                       GetSQLValueString($_POST['titulo'], "text"),
                       GetSQLValueString($_POST['autor'], "text"),
                       GetSQLValueString($_POST['Fecha'], "date"),
                       GetSQLValueString($_POST['resumen'], "text"),
                       GetSQLValueString($_POST['noticia'], "text"),
                       GetSQLValueString($_POST['id'], "int"));

  mysql_select_db($database_poblets, $poblets);
  $Result1 = mysql_query($updateSQL, $poblets) or die(mysql_error());

  $updateGoTo = "noticias.php";
  if (isset($_SERVER['QUERY_STRING'])) {
    $updateGoTo .= (strpos($updateGoTo, '?')) ? "&" : "?";
    $updateGoTo .= $_SERVER['QUERY_STRING'];
  }
  header(sprintf("Location: %s", $updateGoTo));
}

$colname_editnoticia = "-1";
if (isset($_POST['id'])) {
  $colname_editnoticia = $_POST['id'];
}
mysql_select_db($database_poblets, $poblets);
$query_editnoticia = sprintf("SELECT * FROM noticias WHERE Id = %s", GetSQLValueString($colname_editnoticia, "int"));
$editnoticia = mysql_query($query_editnoticia, $poblets) or die(mysql_error());
$row_editnoticia = mysql_fetch_assoc($editnoticia);
$totalRows_editnoticia = mysql_num_rows($editnoticia);
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>CMSPoblets | Editar noticia</title>
<link href="../style.css" rel="stylesheet" type="text/css" />
 <script language="JavaScript" type="text/javascript" src="wysiwyg.js"></script> 
</head>

<body>
<div id="logout"><a href="<?php echo $logoutAction ?>">Log out</a></div>
<?php include("cabecera.php"); ?>
<?php include("menu.php"); ?>
<div id="container">
<form action="<?php echo $editFormAction; ?>" id="form1" name="form_editnoticia" method="POST">
<table id="editnot">
  <tr>
    <td colspan="2" class="cabeceranoticias">EDITAR NOTICIA | CMSPOBLETS</td>
    </tr>
  <tr>
    <td class="texttable">Título</td>
    <td class="submittable"><input name="titulo" type="text" class="tablafill" size="100%" value="<?php echo $row_editnoticia['Titulo']; ?>" /></td>
  </tr>
  <tr>
    <td class="texttable">Autor</td>
    <td class="submittable"><input name="autor" type="text" class="tablafill" size="100%" maxlength="50"  value="<?php echo $row_editnoticia['Autor']; ?>" /></td>
  </tr>
  <tr>
    <td class="texttable">Resumen de la noticia</td>
    <td class="submittable"><textarea name="resumen" cols="100%" rows="2" class="tablafill"><?php echo $row_editnoticia['Resumen']; ?></textarea></td>
  </tr>
  <tr>
    <td class="texttable">Noticia</td>
    <td class="submittable"><textarea name="noticia" cols="100%" rows="4" class="tablafill" id="noticia"><?php echo $row_editnoticia['Noticia']; ?></textarea> <script language="JavaScript">
  generate_wysiwyg('noticia');
</script> </td>
  </tr>
  <tr>
    <td colspan="2" align="right" class="submittable"><input name="editnoticia" type="submit" class="tablafill" value="Enviar noticia" /></td>
    </tr>
</table>

<input name="Fecha" type="hidden" id="Fecha" value="<?php echo $row_editnoticia['Fecha']; ?>" />
<input name="id" type="hidden" id="id" value="<?php echo $row_editnoticia['Id']; ?>" />
<input type="hidden" name="MM_update" value="form_editnoticia" />
</form>
</div>
</body>
</html>
<?php
mysql_free_result($editnoticia);
?>
